Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Interface ColorCyclePlayer

All Superinterfaces:
  Player, StateModel

All Known Implementing Classes:
  ANIMPlayer, PBMPlayer, SEQPlayer

    public interface ColorCyclePlayer

extends Player

A `Player` which supports a second layer of animation by cycling colors in the color palette of the current image in the video track.

Color cycling is provided in a separate layer on top of the video track. It can be performed independently of video playback.

Version:
  1.0 2010-08-04 Created.
Author:
  Werner Randelshofer

Field Summary

Fields inherited from interface org.monte.media.Player
`CLOSED, PREFETCHED, PREFETCHING, REALIZED, REALIZING, STARTED, UNREALIZED`

Method Summary
`boolean` | `isBlendedColorCycling()` Returns true if colors are blended during color cycling.
`boolean` | `isColorCyclingAvailable()` Returns true if color cycling is available.
`boolean` | `isColorCyclingStarted()` Returns true if color cycling is started.
`void` | `setBlendedColorCycling(boolean newValue)` Sets whether colors are blended during color cycling.
`void` | `setColorCyclingStarted(boolean b)` Starts/Stops color cycling.

Methods inherited from interface org.monte.media.Player
`addChangeListener, addPropertyChangeListener, addStateListener, close, deallocate, getCachingModel, getControlPanelComponent, getState, getTargetState, getTimeModel, getTotalDuration, getVisualComponent, isActive, isAudioAvailable, isAudioEnabled, isCached, prefetch, realize, removeChangeListener, removePropertyChangeListener, removeStateListener, setAudioEnabled, setTargetState, start, stop`

Method Detail

### isColorCyclingStarted

    boolean isColorCyclingStarted()

  Returns true if color cycling is started.

### setColorCyclingStarted

    void setColorCyclingStarted(boolean b)

  Starts/Stops color cycling.

### isColorCyclingAvailable

    boolean isColorCyclingAvailable()

  Returns true if color cycling is available.

### setBlendedColorCycling

    void setBlendedColorCycling(boolean newValue)

  Sets whether colors are blended during color cycling.

### isBlendedColorCycling

    boolean isBlendedColorCycling()

  Returns true if colors are blended during color cycling.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD